package com.ruoyi.system.service;

import com.ruoyi.system.entity.DragTableStyle;
import com.ruoyi.system.entity.vo.DragTableVo;

import java.util.List;

/**
 * 动态格样式Service接口
 * 
 * @author ruoyi
 * @date 2023-11-03
 */
public interface IDragTableStyleService 
{
    /**
     * 查询动态格样式
     * 
     * @param id 动态格样式主键
     * @return 动态格样式
     */
    DragTableStyle selectDragTableStyleById(Long id);

    /**
     * 查询动态格样式列表
     * 
     * @param dragTableStyle 动态格样式
     * @return 动态格样式集合
     */
    List<DragTableStyle> selectDragTableStyleList(DragTableStyle dragTableStyle);

    /**
     * 新增动态格样式
     * 
     * @param vo 动态格样式
     * @return 结果
     */
    int batchInsertDragTableStyle(DragTableVo vo);

    /**
     * 修改动态格样式
     * 
     * @param vo 动态格样式
     * @return 结果
     */
    void updateDragTableStyle(DragTableVo vo);

    /**
     * 批量删除动态格样式
     * 
     * @param ids 需要删除的动态格样式主键集合
     * @return 结果
     */
    int deleteDragTableStyleByIds(List<Long> ids);

    /**
     * 删除动态格样式信息
     * 
     * @param tableKeys 动态格样式主键
     * @return 结果
     */
    int deleteDragTableStyleByTableKeys(List<String> tableKeys);
}
